Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ede49cd155f19f6d4e5475d4ef8e9d205cb5b298)
+++ chapter01/changelog.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
@@ -45,5 +45,42 @@
     appropriate for the entry or if needed the entire day's listitem.
        -->
-
+    <listitem revision="systemd">
+      <para>2020-02-16</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Adjust the kernel configuration for systemd to adapt
+          to reorganization changes in Linux 5.5.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2020-02-14</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.5.2. Fixes
+          <ulink url="&lfs-ticket-root;4597">#4597</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
+    <listitem>
+      <para>2020-02-13</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to ncurses-6.2. Fixes
+          <ulink url="&lfs-ticket-root;4596">#4596</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-5.05. Fixes
+          <ulink url="&lfs-ticket-root;4595">#4595</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.5.3.tar.xz. Fixes
+          <ulink url="&lfs-ticket-root;4592">#4592</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
     <listitem>
       <para>2020-01-27</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision ede49cd155f19f6d4e5475d4ef8e9d205cb5b298)
+++ chapter01/whatsnew.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
@@ -189,7 +189,7 @@
       <para>MPFR-&mpfr-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Ncurses-&ncurses-version;</para>
-   </listitem>-->
+   </listitem>
    <listitem>
       <para>Ninja-&ninja-version;</para>
Index: chapter02/creatingpartition.xml
===================================================================
--- chapter02/creatingpartition.xml	(revision ede49cd155f19f6d4e5475d4ef8e9d205cb5b298)
+++ chapter02/creatingpartition.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
@@ -31,9 +31,9 @@
 -->
 
-  <para>A minimal system requires a partition of around 6 gigabytes (GB).
+  <para>A minimal system requires a partition of around 10 gigabytes (GB).
   This is enough to store all the source tarballs and compile the packages.
   However, if the LFS system is intended to be the primary Linux system,
   additional software will probably be installed which will require additional
-  space. A 20 GB partition is a reasonable size to provide for growth.  The LFS
+  space. A 30 GB partition is a reasonable size to provide for growth.  The LFS
   system itself will not take up this much room.  A large portion of this
   requirement is to provide sufficient free temporary storage as well as
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision ede49cd155f19f6d4e5475d4ef8e9d205cb5b298)
+++ chapter08/kernel.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
@@ -88,10 +88,12 @@
 General setup -->
    [ ] Enable deprecated sysfs features to support old userspace tools [CONFIG_SYSFS_DEPRECATED]
-   [ ] Enable deprecated sysfs features by default [CONFIG_SYSFS_DEPRECATED_V2]
-   [*] open by fhandle syscalls [CONFIG_FHANDLE]
+   [*] Configure standard kernel features (expert users) [CONFIG_EXPERT] ---&gt;         
+      [*] open by fhandle syscalls [CONFIG_FHANDLE]
    [ ] Auditing support [CONFIG_AUDIT]
    [*] Control Group support [CONFIG_CGROUPS]
 Processor type and features  ---&gt;
    [*] Enable seccomp to safely compute untrusted bytecode [CONFIG_SECCOMP]
+Firmware Drivers  ---&gt;
+   [*] Export DMI identification via sysfs to userspace [CONFIG_DMIID]
 Networking support  ---&gt;
   Networking options  ---&gt;
@@ -101,14 +103,14 @@
    [ ] Support for uevent helper [CONFIG_UEVENT_HELPER]
    [*] Maintain a devtmpfs filesystem to mount at /dev [CONFIG_DEVTMPFS]
-   [ ] Fallback user-helper invocation for firmware loading [CONFIG_FW_LOADER_USER_HELPER]
-Firmware Drivers  ---&gt;
-   [*] Export DMI identification via sysfs to userspace [CONFIG_DMIID]
+   Firmware Loader ---&gt;
+      [ ] Enable the firmware sysfs fallback mechanism [CONFIG_FW_LOADER_USER_HELPER]
 File systems  ---&gt;
    [*] Inotify support for userspace [CONFIG_INOTIFY_USER]
-   &lt;*&gt; Kernel automounter version 4 support (also supports v3) [CONFIG_AUTOFS4_FS]
+   &lt;*&gt; Kernel automounter support (supports v3, v4, and v5) [CONFIG_AUTOFS_FS]
   Pseudo filesystems  ---&gt;
    [*] Tmpfs POSIX Access Control Lists [CONFIG_TMPFS_POSIX_ACL]
    [*] Tmpfs extended attributes [CONFIG_TMPFS_XATTR]
 Kernel hacking  ---&gt;
+   x86 Debugging ---&gt;
        Choose kernel unwinder (Frame pointer unwinder)  ---&gt; [CONFIG_UNWINDER_FRAME_POINTER]</screen>
 
Index: general.ent
===================================================================
--- general.ent	(revision ede49cd155f19f6d4e5475d4ef8e9d205cb5b298)
+++ general.ent	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200201">
+<!ENTITY version         "SVN-20200216">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200201-systemd">
+<!ENTITY versiond        "20200216-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "February 1st, 2020">
+<!ENTITY releasedate     "February 16th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision ede49cd155f19f6d4e5475d4ef8e9d205cb5b298)
+++ packages.ent	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
@@ -29,5 +29,5 @@
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
 <!ENTITY autoconf-ch6-du "79 MB">
-<!ENTITY autoconf-ch6-sbu-tests "3.4">
+<!ENTITY autoconf-ch6-sbu-tests "3.2">
 <!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about &autoconf-ch6-sbu-tests; SBU with tests)">
 
@@ -39,5 +39,5 @@
 <!ENTITY automake-home "&gnu-software;automake/">
 <!ENTITY automake-ch6-du "107 MB">
-<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.7 SBU with tests)">
+<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.1 SBU with tests)">
 
 <!ENTITY bash-version "5.0">
@@ -49,5 +49,5 @@
 <!ENTITY bash-ch5-sbu "0.4 SBU">
 <!ENTITY bash-ch6-du "62 MB">
-<!ENTITY bash-ch6-sbu "2.1 SBU">
+<!ENTITY bash-ch6-sbu "1.9 SBU">
 
 <!ENTITY bc-version "2.5.3">
@@ -64,19 +64,19 @@
 <!ENTITY binutils-md5 "664ec3a2df7805ed3464639aaae332d6">
 <!ENTITY binutils-home "&gnu-software;binutils/">
-<!ENTITY binutils-ch5p1-du "659 MB">
+<!ENTITY binutils-ch5p1-du "625 MB">
 <!ENTITY binutils-ch5p1-sbu "1 SBU">
-<!ENTITY binutils-ch5p2-du "637 MB">
-<!ENTITY binutils-ch5p2-sbu "1.2 SBU">
+<!ENTITY binutils-ch5p2-du "651 MB">
+<!ENTITY binutils-ch5p2-sbu "1.1 SBU">
 <!ENTITY binutils-ch6-du "5.1 GB">
-<!ENTITY binutils-ch6-sbu "7.2 SBU">
-
-<!ENTITY bison-version "3.5.1">
-<!ENTITY bison-size "2,300 KB">
+<!ENTITY binutils-ch6-sbu "6.7 SBU">
+
+<!ENTITY bison-version "3.5.2">
+<!ENTITY bison-size "2,308 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "6fc5fa4488832a65db934b9e93bd5d4c">
+<!ENTITY bison-md5 "49fc2cf23e31e697d5072835e1662a97">
 <!ENTITY bison-home "&gnu-software;bison/">
-<!ENTITY bison-ch5-du "42 MB">
+<!ENTITY bison-ch5-du "43 MB">
 <!ENTITY bison-ch5-sbu "0.3 SBU">
-<!ENTITY bison-ch6-du "39 MB">
+<!ENTITY bison-ch6-du "43 MB">
 <!ENTITY bison-ch6-sbu "0.3 SBU">
 
@@ -106,6 +106,6 @@
 <!ENTITY check-md5 "270e82a445be6026040267a5e11cc94b">
 <!ENTITY check-home "https://libcheck.github.io/check">
-<!ENTITY check-ch5-du "12 MB">
-<!ENTITY check-ch5-sbu "0.1 SBU (about 3.7 SBU with tests)">
+<!ENTITY check-ch5-du "13 MB">
+<!ENTITY check-ch5-sbu "0.1 SBU (about 3.5 SBU with tests)">
 
 <!ENTITY coreutils-version "8.31">
@@ -115,7 +115,7 @@
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "157 MB">
-<!ENTITY coreutils-ch5-sbu "0.8 SBU">
+<!ENTITY coreutils-ch5-sbu "0.7 SBU">
 <!ENTITY coreutils-ch6-du "202 MB">
-<!ENTITY coreutils-ch6-sbu "2.5 SBU">
+<!ENTITY coreutils-ch6-sbu "2.3 SBU">
 
 <!ENTITY dbus-version "1.12.16">
@@ -125,5 +125,5 @@
 <!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "18 MB">
-<!ENTITY dbus-ch6-sbu "0.1 SBU">
+<!ENTITY dbus-ch6-sbu "0.2 SBU">
 
 <!ENTITY dejagnu-version "1.6.2">
@@ -151,5 +151,5 @@
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "108 MB">
-<!ENTITY e2fsprogs-ch6-sbu "3.1 SBU">
+<!ENTITY e2fsprogs-ch6-sbu "1.6 SBU">
 
 <!ENTITY elfutils-version "0.178">
@@ -158,6 +158,6 @@
 <!ENTITY elfutils-md5 "5480d0b7174446aba13a6adde107287f">
 <!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
-<!ENTITY elfutils-ch6-du "95 MB">
-<!ENTITY elfutils-ch6-sbu "1.1 SBU">
+<!ENTITY elfutils-ch6-du "124 MB">
+<!ENTITY elfutils-ch6-sbu "0.9 SBU">
 
 <!ENTITY eudev-version "3.2.9">
@@ -165,5 +165,5 @@
 <!ENTITY eudev-url "https://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
 <!ENTITY eudev-md5 "dedfb1964f6098fe9320de827957331f">
-<!ENTITY eudev-ch6-du "82 MB">
+<!ENTITY eudev-ch6-du "83 MB">
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
@@ -202,5 +202,5 @@
 <!ENTITY findutils-ch5-du "39 MB">
 <!ENTITY findutils-ch5-sbu "0.3 SBU">
-<!ENTITY findutils-ch6-du "52 MB">
+<!ENTITY findutils-ch6-du "57 MB">
 <!ENTITY findutils-ch6-sbu "0.7 SBU">
 
@@ -211,5 +211,5 @@
 <!ENTITY flex-home "&github;/westes/flex">
 <!ENTITY flex-ch6-du "36 MB">
-<!ENTITY flex-ch6-sbu "0.5 SBU">
+<!ENTITY flex-ch6-sbu "0.4 SBU">
 
 <!ENTITY gawk-version "5.0.1">
@@ -228,10 +228,10 @@
 <!ENTITY gcc-md5 "3818ad8600447f05349098232c2ddc78">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
-<!ENTITY gcc-ch5p1-du "3.3 GB">
-<!ENTITY gcc-ch5p1-sbu "9 SBU">
-<!ENTITY gcc-ch5p2-du "3.6 GB">
+<!ENTITY gcc-ch5p1-du "3.1 GB">
+<!ENTITY gcc-ch5p1-sbu "10 SBU">
+<!ENTITY gcc-ch5p2-du "3.7 GB">
 <!ENTITY gcc-ch5p2-sbu "13 SBU">
 <!ENTITY gcc-ch6-du "4.2 GB ">
-<!ENTITY gcc-ch6-sbu "91 SBU (with tests)">
+<!ENTITY gcc-ch6-sbu "88 SBU (with tests)">
 <!ENTITY libquadmath-version "0.0.0">
 <!ENTITY libstdcpp-version   "6.0.27">
@@ -242,5 +242,5 @@
 <!--<!ENTITY libcilkrts-version  "5.0.0">-->
 
-<!ENTITY libstdcpp-ch5-du "879 MB">
+<!ENTITY libstdcpp-ch5-du "878 MB">
 <!ENTITY libstdcpp-ch5-sbu "0.5 SBU">
 
@@ -259,7 +259,7 @@
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-ch5-du "300 MB">
-<!ENTITY gettext-ch5-sbu "2.0 SBU">
+<!ENTITY gettext-ch5-sbu "1.6 SBU">
 <!ENTITY gettext-ch6-du "249 MB">
-<!ENTITY gettext-ch6-sbu "2.9 SBU">
+<!ENTITY gettext-ch6-sbu "2.7 SBU">
 
 <!ENTITY glibc-version "2.31">
@@ -269,7 +269,7 @@
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "896 MB">
-<!ENTITY glibc-ch5-sbu "4.6 SBU">
-<!ENTITY glibc-ch6-du "3.2 GB">
-<!ENTITY glibc-ch6-sbu "20 SBU">
+<!ENTITY glibc-ch5-sbu "4.5 SBU">
+<!ENTITY glibc-ch6-du "5.5 GB">
+<!ENTITY glibc-ch6-sbu "19 SBU">
 <!ENTITY libthread_db-version "1.0">
 
@@ -279,6 +279,6 @@
 <!ENTITY gmp-md5 "a325e3f09e6d91e62101e59f9bda3ec1">
 <!ENTITY gmp-home "&gnu-software;gmp/">
-<!ENTITY gmp-ch6-du "61 MB">
-<!ENTITY gmp-ch6-sbu "1.2 SBU">
+<!ENTITY gmp-ch6-du "51 MB">
+<!ENTITY gmp-ch6-sbu "1.1 SBU">
 
 <!ENTITY gperf-version "3.1">
@@ -295,8 +295,8 @@
 <!ENTITY grep-md5 "111b117d22d6a7d049d6ae7505e9c4d2">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-ch5-du "24 MB">
+<!ENTITY grep-ch5-du "25 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "37 MB">
-<!ENTITY grep-ch6-sbu "0.5 SBU">
+<!ENTITY grep-ch6-du "39 MB">
+<!ENTITY grep-ch6-sbu "0.7 SBU">
 
 <!ENTITY groff-version "1.22.4">
@@ -355,5 +355,5 @@
 <!ENTITY iproute2-md5 "ee8e2cdb416d4a8ef39525d39ab7c2d0">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
-<!ENTITY iproute2-ch6-du "13 MB">
+<!ENTITY iproute2-ch6-du "14 MB">
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
@@ -372,5 +372,5 @@
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "36 MB">
-<!ENTITY kbd-ch6-sbu "0.2 SBU">
+<!ENTITY kbd-ch6-sbu "0.1 SBU">
 
 <!ENTITY kmod-version "26">
@@ -411,6 +411,6 @@
 <!ENTITY libffi-md5 "6313289e32f1d38a9df4770b014a2ca7">
 <!ENTITY libffi-home "https://sourceware.org/libffi/">
-<!ENTITY libffi-ch6-du "7.6 MB">
-<!ENTITY libffi-ch6-sbu "0.4 SBU">
+<!ENTITY libffi-ch6-du "10 MB">
+<!ENTITY libffi-ch6-sbu "1.9 SBU">
 
 <!ENTITY libpipeline-version "1.5.2">
@@ -419,6 +419,6 @@
 <!ENTITY libpipeline-md5 "169de4cc1f6f7f7d430a5bed858b2fd3">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
-<!ENTITY libpipeline-ch6-du "9.0 MB">
-<!ENTITY libpipeline-ch6-sbu "0.1 SBU">
+<!ENTITY libpipeline-ch6-du "9.2 MB">
+<!ENTITY libpipeline-ch6-sbu "0.2 SBU">
 
 <!ENTITY libtool-version "2.4.6">
@@ -428,14 +428,14 @@
 <!ENTITY libtool-home "&gnu-software;libtool/">
 <!ENTITY libtool-ch6-du "43 MB">
-<!ENTITY libtool-ch6-sbu "1.9 SBU">
+<!ENTITY libtool-ch6-sbu "1.8 SBU">
 
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "5">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "3">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "108,113 KB">
+<!ENTITY linux-size "108,112 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "32736a152de38bc160fb08efc5863997">
+<!ENTITY linux-md5 "3ea50025d8c679a327cf2fc225d81a46">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -446,7 +446,7 @@
 
 <!ENTITY linux-headers-ch5-du "1 GB">
-<!ENTITY linux-headers-ch5-sbu "0.2 SBU">
+<!ENTITY linux-headers-ch5-sbu "0.1 SBU">
 <!ENTITY linux-headers-ch6-du "1 GB">
-<!ENTITY linux-headers-ch6-sbu "0.2 SBU">
+<!ENTITY linux-headers-ch6-sbu "0.1 SBU">
 
 <!ENTITY linux-firmware-version "20191026">
@@ -465,6 +465,6 @@
 <!ENTITY m4-ch5-du "20 MB">
 <!ENTITY m4-ch5-sbu "0.2 SBU">
-<!ENTITY m4-ch6-du "20 MB">
-<!ENTITY m4-ch6-sbu "0.2 SBU">
+<!ENTITY m4-ch6-du "33 MB">
+<!ENTITY m4-ch6-sbu "0.4 SBU">
 
 <!ENTITY make-version "4.3">
@@ -473,8 +473,8 @@
 <!ENTITY make-md5 "fc7a67ea86ace13195b0bce683fd4469">
 <!ENTITY make-home "&gnu-software;make/">
-<!ENTITY make-ch5-du "13 MB">
+<!ENTITY make-ch5-du "16 MB">
 <!ENTITY make-ch5-sbu "0.1 SBU">
-<!ENTITY make-ch6-du "13 MB">
-<!ENTITY make-ch6-sbu "0.6 SBU">
+<!ENTITY make-ch6-du "16 MB">
+<!ENTITY make-ch6-sbu "0.5 SBU">
 
 <!ENTITY man-db-version "2.9.0">
@@ -483,11 +483,11 @@
 <!ENTITY man-db-md5 "897576a19ecbef376a916485608cd790">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
-<!ENTITY man-db-ch6-du "38 MB">
-<!ENTITY man-db-ch6-sbu "0.4 SBU">
-
-<!ENTITY man-pages-version "5.04">
-<!ENTITY man-pages-size "1,645 KB">
+<!ENTITY man-db-ch6-du "40 MB">
+<!ENTITY man-db-ch6-sbu "0.5 SBU">
+
+<!ENTITY man-pages-version "5.05">
+<!ENTITY man-pages-size "1,649 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "4eb98f597b629f81993c7b71ecab0ab0">
+<!ENTITY man-pages-md5 "da25a4f8dfed0a34453c90153b98752d">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "31 MB">
@@ -499,5 +499,5 @@
 <!ENTITY meson-md5 "9bf73f7b5a2426a7c8674a809bb8cae2">
 <!ENTITY meson-home "https://mesonbuild.com">
-<!ENTITY meson-ch6-du "28 MB">
+<!ENTITY meson-ch6-du "31 MB">
 <!ENTITY meson-ch6-sbu "less than 0.1 SBU">
 
@@ -516,14 +516,14 @@
 <!ENTITY mpfr-home "https://www.mpfr.org/">
 <!ENTITY mpfr-ch6-du "37 MB">
-<!ENTITY mpfr-ch6-sbu "0.9 SBU">
-
-<!ENTITY ncurses-version "6.1">
-<!ENTITY ncurses-size "3,288 KB">
+<!ENTITY mpfr-ch6-sbu "0.8 SBU">
+
+<!ENTITY ncurses-version "6.2">
+<!ENTITY ncurses-size "3,346 KB">
 <!ENTITY ncurses-url "&gnu;ncurses/ncurses-&ncurses-version;.tar.gz">
-<!ENTITY ncurses-md5 "98c889aaf8d23910d2b92d65be2e737a">
+<!ENTITY ncurses-md5 "e812da327b1c2214ac1aed440ea3ae8d">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
-<!ENTITY ncurses-ch5-du "40 MB">
-<!ENTITY ncurses-ch5-sbu "0.7 SBU">
-<!ENTITY ncurses-ch6-du "42 MB">
+<!ENTITY ncurses-ch5-du "41 MB">
+<!ENTITY ncurses-ch5-sbu "0.6 SBU">
+<!ENTITY ncurses-ch6-du "43 MB">
 <!ENTITY ncurses-ch6-sbu "0.4 SBU">
 
@@ -533,6 +533,6 @@
 <!ENTITY ninja-md5 "cf1d964113a171da42a8940e7607e71a">
 <!ENTITY ninja-home "https://ninja-build.org/">
-<!ENTITY ninja-ch6-du "69 MB">
-<!ENTITY ninja-ch6-sbu "0.2 SBU">
+<!ENTITY ninja-ch6-du "89 MB">
+<!ENTITY ninja-ch6-sbu "0.3 SBU">
 
 <!ENTITY openssl-version "1.1.1d">
@@ -541,6 +541,6 @@
 <!ENTITY openssl-md5 "3be209000dbc7e1b95bcdf47980a3baa">
 <!ENTITY openssl-home "https://www.openssl.org/">
-<!ENTITY openssl-ch6-du "147 MB">
-<!ENTITY openssl-ch6-sbu "2.3 SBU">
+<!ENTITY openssl-ch6-du "146 MB">
+<!ENTITY openssl-ch6-sbu "2.1 SBU">
 
 <!ENTITY patch-version "2.7.6">
@@ -560,7 +560,7 @@
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-ch5-du "275 MB">
-<!ENTITY perl-ch5-sbu "1.4 SBU">
+<!ENTITY perl-ch5-sbu "1.5 SBU">
 <!ENTITY perl-ch6-du "272 MB">
-<!ENTITY perl-ch6-sbu "9.9 SBU">
+<!ENTITY perl-ch6-sbu "9.2 SBU">
 
 <!ENTITY pkgconfig-version "0.29.2">
@@ -570,5 +570,5 @@
 <!ENTITY pkgconfig-home "https://www.freedesktop.org/wiki/Software/pkg-config">
 <!ENTITY pkgconfig-ch6-du "30 MB">
-<!ENTITY pkgconfig-ch6-sbu "0.4 SBU">
+<!ENTITY pkgconfig-ch6-sbu "0.3 SBU">
 
 <!ENTITY procps-ng-version "3.3.15">
@@ -578,5 +578,5 @@
 <!ENTITY procps-ng-home "https://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-ch6-du "17 MB">
-<!ENTITY procps-ng-ch6-sbu "0.2 SBU">
+<!ENTITY procps-ng-ch6-sbu "0.1 SBU">
 
 <!ENTITY psmisc-version "23.2">
@@ -597,8 +597,8 @@
 <!ENTITY python-md5 "b3fb85fd479c0bf950c626ef80cacb57">
 <!ENTITY python-home "https://www.python.org/">
-<!ENTITY python-ch5-du "408 MB">
-<!ENTITY python-ch5-sbu "1.2 SBU">
-<!ENTITY python-ch6-du "399 MB">
-<!ENTITY python-ch6-sbu "1.3 SBU">
+<!ENTITY python-ch5-du "409 MB">
+<!ENTITY python-ch5-sbu "1.3 SBU">
+<!ENTITY python-ch6-du "426 MB">
+<!ENTITY python-ch6-sbu "1.2 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
 <!ENTITY python-docs-md5 "edc8c97f9680373fcc1dd952f0ea7fcc">
@@ -618,7 +618,7 @@
 <!ENTITY sed-md5 "6d906edfdb3202304059233f51f9a71d">
 <!ENTITY sed-home "&gnu-software;sed/">
-<!ENTITY sed-ch5-du "20 MB">
+<!ENTITY sed-ch5-du "21 MB">
 <!ENTITY sed-ch5-sbu "0.2 SBU">
-<!ENTITY sed-ch6-du "32 MB">
+<!ENTITY sed-ch6-du "34 MB">
 <!ENTITY sed-ch6-sbu "0.4 SBU">
 
@@ -652,6 +652,6 @@
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
 <!ENTITY systemd-man-md5  "1839ad557eb376d22853cac54d00de77">
-<!ENTITY systemd-ch6-du   "228 MB">
-<!ENTITY systemd-ch6-sbu  "1.8 SBU">
+<!ENTITY systemd-ch6-du   "238 MB">
+<!ENTITY systemd-ch6-sbu  "0.6 SBU">
 
 <!ENTITY sysvinit-version "2.96">
@@ -660,5 +660,5 @@
 <!ENTITY sysvinit-md5 "48cebffebf2a96ab09bec14bf9976016">
 <!ENTITY sysvinit-home "https://savannah.nongnu.org/projects/sysvinit">
-<!ENTITY sysvinit-ch6-du "1.3 MB">
+<!ENTITY sysvinit-ch6-du "1.4 MB">
 <!ENTITY sysvinit-ch6-sbu "less than 0.1 SBU">
 
@@ -671,5 +671,5 @@
 <!ENTITY tar-ch5-sbu "0.3 SBU">
 <!ENTITY tar-ch6-du "45 MB">
-<!ENTITY tar-ch6-sbu "2.2 SBU">
+<!ENTITY tar-ch6-sbu "2.0 SBU">
 
 <!ENTITY tcl-version "8.6.10">
@@ -687,8 +687,8 @@
 <!ENTITY texinfo-md5 "d4c5d8cc84438c5993ec5163a59522a6">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
-<!ENTITY texinfo-ch5-du "103 MB">
+<!ENTITY texinfo-ch5-du "104 MB">
 <!ENTITY texinfo-ch5-sbu "0.2 SBU">
-<!ENTITY texinfo-ch6-du "122 MB">
-<!ENTITY texinfo-ch6-sbu "0.8 SBU">
+<!ENTITY texinfo-ch6-du "116 MB">
+<!ENTITY texinfo-ch6-sbu "0.7 SBU">
 
 <!ENTITY tzdata-version "2019c">
@@ -710,8 +710,8 @@
 <!ENTITY util-linux-md5 "7f64882f631225f0295ca05080cee1bf">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
-<!ENTITY util-linux-ch5-du "147 MB">
-<!ENTITY util-linux-ch5-sbu "1 SBU">
-<!ENTITY util-linux-ch6-du "283 MB">
-<!ENTITY util-linux-ch6-sbu "1.2 SBU">
+<!ENTITY util-linux-ch5-du "154 MB">
+<!ENTITY util-linux-ch5-sbu "0.9 SBU">
+<!ENTITY util-linux-ch6-du "289 MB">
+<!ENTITY util-linux-ch6-sbu "1.1 SBU">
 
 <!ENTITY vim-version "8.2.0190">
@@ -722,6 +722,6 @@
 <!ENTITY vim-md5 "f5337b1170df90e644a636539a0313a3">
 <!ENTITY vim-home "https://www.vim.org">
-<!ENTITY vim-ch6-du "190 MB">
-<!ENTITY vim-ch6-sbu "2.2 SBU">
+<!ENTITY vim-ch6-du "202 MB">
+<!ENTITY vim-ch6-sbu "1.7 SBU">
 
 <!ENTITY xml-parser-version "2.46">
@@ -730,5 +730,5 @@
 <!ENTITY xml-parser-md5 "80bb18a8e6240fcf7ec2f7b57601c170">
 <!ENTITY xml-parser-home "&github;/chorny/XML-Parser">
-<!ENTITY xml-parser-ch6-du "2.3 MB">
+<!ENTITY xml-parser-ch6-du "2.4 MB">
 <!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
 
@@ -740,5 +740,5 @@
 <!ENTITY xz-ch5-du "18 MB">
 <!ENTITY xz-ch5-sbu "0.2 SBU">
-<!ENTITY xz-ch6-du "14 MB">
+<!ENTITY xz-ch6-du "16 MB">
 <!ENTITY xz-ch6-sbu "0.2 SBU">
 
@@ -756,5 +756,5 @@
 <!ENTITY zstd-md5 "487f7ee1562dee7c1c8adf85e2a63df9">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
-<!ENTITY zstd-ch6-du "17 MB">
-<!ENTITY zstd-ch6-sbu "0.5 SBU">
-
+<!ENTITY zstd-ch6-du "16 MB">
+<!ENTITY zstd-ch6-sbu "0.7 SBU">
+