Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter01/changelog.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -43,4 +43,30 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem>
+      <para>2017-10-24</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to bash-4.4.12.  Fixes
+          <ulink url="&lfs-ticket-root;4149">#4149</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.43.0.  Fixes
+          <ulink url="&lfs-ticket-root;4148">#4148</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to python3-3.6.3.  Fixes
+          <ulink url="&lfs-ticket-root;4146">#4146</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.13.7.  Fixes
+          <ulink url="&lfs-ticket-root;4144">#4144</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to binutils-2.29.1.  Fixes
+          <ulink url="&lfs-ticket-root;4142">#4142</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2017-09-24</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter01/whatsnew.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -39,13 +39,13 @@
       <para>Automake-&automake-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bash &bash-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Bc &bc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Binutils-&binutils-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Bison-&bison-version;</para>
@@ -276,7 +276,7 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <!--<listitem>
-      <para>bc-1.06.95-memory_leak-1.patch</para>
-    </listitem>-->
+    <listitem>
+      <para>bash-4.4-upstream_fixes-1.patch</para>
+    </listitem>
 
   </itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter03/patches.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -18,5 +18,5 @@
 
   <variablelist role="materials">
-
+<!--
     <varlistentry>
       <term>Bash Upstream Fixes Patch - <token>&bash-fixes-patch-size;</token>:</term>
@@ -26,4 +26,5 @@
       </listitem>
     </varlistentry>
+-->
 <!--
     <varlistentry>
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter06/bash.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -40,9 +40,9 @@
   <sect2 role="installation">
     <title>Installation of Bash</title>
-
+<!--
     <para>Incorporate some upstream fixes:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&bash-fixes-patch;</userinput></screen>
-
+-->
     <para>Prepare Bash for compilation:</para>
 
Index: chapter06/chroot.xml
===================================================================
--- chapter06/chroot.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter06/chroot.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -19,5 +19,5 @@
     HOME=/root                  \
     TERM="$TERM"                \
-    PS1='\u:\w\$ '              \
+    PS1='(lfs chroot) \u:\w\$ ' \
     PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin \
     /tools/bin/bash --login +h</userinput></screen>
Index: chapter06/revisedchroot.xml
===================================================================
--- chapter06/revisedchroot.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter06/revisedchroot.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -18,7 +18,8 @@
   exiting, use the following modified chroot command:</para>
 
-<screen role="nodump"><userinput>chroot "$LFS" /usr/bin/env -i              \
-    HOME=/root TERM="$TERM" PS1='\u:\w\$ ' \
-    PATH=/bin:/usr/bin:/sbin:/usr/sbin     \
+<screen role="nodump"><userinput>chroot "$LFS" /usr/bin/env -i          \
+    HOME=/root TERM="$TERM"            \
+    PS1='(lfs chroot) \u:\w\$ '        \
+    PATH=/bin:/usr/bin:/sbin:/usr/sbin \
     /bin/bash --login</userinput></screen>
 
Index: chapter06/strippingagain.xml
===================================================================
--- chapter06/strippingagain.xml	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ chapter06/strippingagain.xml	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -68,7 +68,8 @@
   <para>Then reenter it with:</para>
 
-<screen role="nodump"><userinput>chroot $LFS /tools/bin/env -i            \
-    HOME=/root TERM=$TERM PS1='\u:\w\$ ' \
-    PATH=/bin:/usr/bin:/sbin:/usr/sbin   \
+<screen role="nodump"><userinput>chroot $LFS /tools/bin/env -i          \
+    HOME=/root TERM=$TERM              \
+    PS1='(lfs chroot) \u:\w\$ '        \
+    PATH=/bin:/usr/bin:/sbin:/usr/sbin \
     /tools/bin/bash --login</userinput></screen>
 
Index: general.ent
===================================================================
--- general.ent	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ general.ent	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170924">
+<!ENTITY version         "SVN-20171014">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170924-systemd">
+<!ENTITY versiond        "20171014-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 24, 2017">
+<!ENTITY releasedate     "October 14, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ packages.ent	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -41,8 +41,8 @@
 <!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.5 SBU with tests)">
 
-<!ENTITY bash-version "4.4">
-<!ENTITY bash-size "9,158 KB">
+<!ENTITY bash-version "4.4.12">
+<!ENTITY bash-size "9,242 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
-<!ENTITY bash-md5 "148888a7c95ac23705559b6f477dfe25">
+<!ENTITY bash-md5 "7c112970cbdcadfc331e10eeb5f6aa41">
 <!ENTITY bash-home "&gnu-software;bash/">
 <!ENTITY bash-ch5-du "61 MB">
@@ -59,8 +59,8 @@
 <!ENTITY bc-ch6-sbu "0.1 SBU">
 
-<!ENTITY binutils-version "2.29">
-<!ENTITY binutils-size "28,392 KB">
+<!ENTITY binutils-version "2.29.1">
+<!ENTITY binutils-size "28,441 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
-<!ENTITY binutils-md5 "23733a26c8276edbb1168c9bee60e40e">
+<!ENTITY binutils-md5 "9af59a2ca3488823e453bb356fe0f113">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-ch5p1-du "547 MB">
@@ -409,10 +409,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "13">
-<!ENTITY linux-patch-version "3">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "98,229 KB">
+<!ENTITY linux-size "98,237 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "ab0ffc872db83b7fd2f5ffa089c81ca9">
+<!ENTITY linux-md5 "cd49d80f54cbe6a3cd1dc51d28648848">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -463,8 +463,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.42.1">
-<!ENTITY meson-size "1,021 KB">
+<!ENTITY meson-version "0.43.0">
+<!ENTITY meson-size "1,042 KB">
 <!ENTITY meson-url "https://github.com/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "a8ff06ab5e138dec64cbfa249ff4f8bb">
+<!ENTITY meson-md5 "b0d389cc5937928c2f5114656dc5a99a">
 <!ENTITY meson-home "http://mesonbuild.com">
 <!ENTITY meson-ch6-du "30 MB">
@@ -549,14 +549,14 @@
 <!ENTITY psmisc-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY python-version "3.6.2">
-<!ENTITY python-size "16,511 KB">
+<!ENTITY python-version "3.6.3">
+<!ENTITY python-size "16,577 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "2c68846471994897278364fc18730dd9">
+<!ENTITY python-md5 "b9c2c36c33fb89bda1fefd37ad5af9be">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-ch6-du "355 MB">
 <!ENTITY python-ch6-sbu "1.3 SBU">
-<!ENTITY python-docs-url "https://docs.python.org/3.6/archives/python-3.6.2-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "7f14038af43b80251dbbb37e30e35f78">
-<!ENTITY python-docs-size "5,976 MB">
+<!ENTITY python-docs-url "https://docs.python.org/3.6/archives/python-&python-version;-docs-html.tar.bz2">
+<!ENTITY python-docs-md5 "5e4a8a97d4221fc67561ca26e26bd575">
+<!ENTITY python-docs-size "7,728 MB">
 
 <!ENTITY readline-version "7.0">
Index: patches.ent
===================================================================
--- patches.ent	(revision 7a47ddb07df2579bbdaf17e6b717b6edcdcdf276)
+++ patches.ent	(revision 55e25a954cce00d932cbfb9a1f9be4a2558ecfd7)
@@ -2,9 +2,9 @@
 
 <!-- Start of Common Patches -->
-
+<!--
 <!ENTITY bash-fixes-patch "bash-&bash-version;-upstream_fixes-1.patch">
 <!ENTITY bash-fixes-patch-md5 "e3d5bf23a4e5628680893d46e6ff286e">
 <!ENTITY bash-fixes-patch-size "17 KB">
-
+-->
 <!--
 <!ENTITY bc-memory-leak-patch "bc-&bc-version;-memory_leak-1.patch">