Index: chapter01/askforhelp.xml
===================================================================
--- chapter01/askforhelp.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ chapter01/askforhelp.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -45,5 +45,5 @@
       </listitem>
       <listitem>
-        <para>The output from the <xref linkend='version-check'/></para>
+        <para>The output from the <xref linkend='version-check'/> script</para>
       </listitem>
       <listitem>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ chapter01/changelog.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -48,4 +48,38 @@
 
     <listitem>
+      <para>2014-09-24</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to perl-5.20.1. Fixes 
+          <ulink url="&lfs-ticket-root;3670">#3670</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xz-5.0.7. Fixes 
+          <ulink url="&lfs-ticket-root;3671">#3671</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-3.16.3. Fixes 
+          <ulink url="&lfs-ticket-root;3673">#3673</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.73. Fixes 
+          <ulink url="&lfs-ticket-root;3674">#3674</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to   libpipeline-1.3.1. Fixes 
+          <ulink url="&lfs-ticket-root;3675">#3675</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-db-2.7.0.1. Fixes 
+          <ulink url="&lfs-ticket-root;3676">#3676</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to procps-ng-3.3.10. Fixes 
+          <ulink url="&lfs-ticket-root;3677">#3677</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-09-23</para>
       <itemizedlist>
Index: chapter01/how.xml
===================================================================
--- chapter01/how.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ chapter01/how.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -75,5 +75,5 @@
   set to the LFS partition. This is very similar to rebooting and instructing
   the kernel to mount the LFS partition as the root partition. The system
-  does not actually reboot, but instead <command>chroot</command>'s because
+  does not actually reboot, but instead uses <command>chroot</command> because
   creating a bootable system requires additional work which is not necessary
   just yet. The major advantage is that <quote>chrooting</quote> allows you
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ chapter01/whatsnew.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -140,13 +140,13 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libpipeline &libpipeline-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libtool &libtool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Linux &linux-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>M4 &m4-version;</para>
@@ -155,10 +155,10 @@
       <para>Make &make-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>MPC &mpc-version;</para>
@@ -173,13 +173,13 @@
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Perl &perl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Pkg-config &pkgconfig-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Procps-ng &procps-ng-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Psmisc &psmisc-version;</para>
@@ -218,7 +218,7 @@
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>XZ-Utils &xz-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Zlib &zlib-version;</para>
Index: chapter06/man-db.xml
===================================================================
--- chapter06/man-db.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ chapter06/man-db.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -42,4 +42,8 @@
     <title>Installation of Man-DB</title>
 
+    <para>Disable two tests that fail:</para>
+
+<screen><userinput remap="pre">sed -i 's/mandb-2 mandb-3 mandb-4/mandb-3/' src/tests/Makefile.in</userinput></screen>
+    
     <para>Prepare Man-DB for compilation:</para>
 
Index: chapter06/procps.xml
===================================================================
--- chapter06/procps.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ chapter06/procps.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -92,4 +92,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed library</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
@@ -97,4 +98,5 @@
         sysctl, tload, top, uptime, vmstat, w, and, watch</seg>
         <seg>libprocps.so</seg>
+        <seg>/usr/include/proc, /usr/share/doc/procps-ng-&procps-ng-version;</seg>
       </seglistitem>
     </segmentedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ packages.ent	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -358,8 +358,8 @@
 <!ENTITY libcap-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY libpipeline-version "1.3.0">
-<!ENTITY libpipeline-size "769 KB">
+<!ENTITY libpipeline-version "1.3.1">
+<!ENTITY libpipeline-size "770 KB">
 <!ENTITY libpipeline-url "&savannah;/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
-<!ENTITY libpipeline-md5 "242428c01dca255cdcb2195073a9c6ed">
+<!ENTITY libpipeline-md5 "31a34830c0f8a6d40ee373df51f04baa">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
 <!ENTITY libpipeline-ch6-du "7.7 MB">
@@ -376,10 +376,10 @@
 <!ENTITY linux-major-version "3">
 <!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "3">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "78,625 KB">
+<!ENTITY linux-size "78,616 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "227814a1a523992400da5d5437552445">
+<!ENTITY linux-md5 "96f1d5219534e89f7477960695093654">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -414,16 +414,16 @@
 <!ENTITY make-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-db-version "2.6.7.1">
-<!ENTITY man-db-size "1,419 KB">
+<!ENTITY man-db-version "2.7.0.1">
+<!ENTITY man-db-size "1,457 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "ce7b697f8e8016a085d9f5975ae6c4fb">
+<!ENTITY man-db-md5 "7961179a2d8fb4c8f3947c92e80ee232">
 <!ENTITY man-db-home "http://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "28 MB">
 <!ENTITY man-db-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "3.72">
-<!ENTITY man-pages-size "1,246 KB">
+<!ENTITY man-pages-version "3.73">
+<!ENTITY man-pages-size "1,259 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "3ca69a6263d9863ccace2e53b9bcff86">
+<!ENTITY man-pages-md5 "f525ffdd80a217d0431b2cee98acd008">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "24 MB">
@@ -466,8 +466,8 @@
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
-<!ENTITY perl-version "5.20.0">
-<!ENTITY perl-size "13,448 KB">
+<!ENTITY perl-version "5.20.1">
+<!ENTITY perl-size "13,356 KB">
 <!ENTITY perl-url "http://www.cpan.org/src/5.0/perl-&perl-version;.tar.bz2">
-<!ENTITY perl-md5 "20cbecd4e9e880ee7a50a136c8b1484e">
+<!ENTITY perl-md5 "ede5166f949d9a07163bc5b086be9759">
 <!ENTITY perl-home "http://www.perl.org/">
 <!ENTITY perl-ch5-du "238 MB">
@@ -484,8 +484,8 @@
 <!ENTITY pkgconfig-ch6-sbu "0.4 SBU">
 
-<!ENTITY procps-ng-version "3.3.9">
-<!ENTITY procps-ng-size "548 KB">
+<!ENTITY procps-ng-version "3.3.10">
+<!ENTITY procps-ng-size "801 KB">
 <!ENTITY procps-ng-url "http://sourceforge.net/projects/procps-ng/files/Production/procps-ng-&procps-ng-version;.tar.xz">
-<!ENTITY procps-ng-md5 "0980646fa25e0be58f7afb6b98f79d74">
+<!ENTITY procps-ng-md5 "1fb7f3f6bf92ce6c5c9ed9949ae858fe">
 <!ENTITY procps-ng-home "http://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-ch6-du "11 MB">
@@ -596,8 +596,8 @@
 <!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.0.5">
-<!ENTITY xz-size "894 KB">
+<!ENTITY xz-version "5.0.7">
+<!ENTITY xz-size "917 KB">
 <!ENTITY xz-url "http://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "aa17280f4521dbeebed0fbd11cd7fa30">
+<!ENTITY xz-md5 "d0456c2c3ea3c356369807eef1e2ae65">
 <!ENTITY xz-home "http://tukaani.org/xz">
 <!ENTITY xz-ch5-du "15.9 MB">
Index: prologue/hostreqs.xml
===================================================================
--- prologue/hostreqs.xml	(revision 4dad7efe88b06c3c213122a97a39bf383c613764)
+++ prologue/hostreqs.xml	(revision 057e9c471dcac8fef51cc1f2d1f0a86a421ad184)
@@ -148,5 +148,5 @@
 
   <!-- Use an empty sect2 element to prevent a pdf warning.  -->
-  <sect2 id="version-check">
+  <sect2 id="version-check" xreflabel="Section vii, Host System Requirements">
   <title> </title>
 