Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 49c3fb7c66922662cc2f654ca18f47c134de4eed)
+++ chapter01/changelog.xml	(revision 058a97501d57aa0f64be09d22956f5268de390cd)
@@ -38,4 +38,14 @@
 -->
     <listitem>
+      <para>2010-08-31</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-2.6.35.4. Fixes
+          <ulink url="&lfs-ticket-root;2743">#2743</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2010-08-17</para>
       <itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 49c3fb7c66922662cc2f654ca18f47c134de4eed)
+++ chapter03/patches.xml	(revision 058a97501d57aa0f64be09d22956f5268de390cd)
@@ -131,5 +131,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term>Linux Memory Model Locking Patch - <token>&linux-mm_locking-patch-size;</token>:</term>
@@ -139,5 +139,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>Man-DB Upstream Fix Assertion Patch - <token>&man-db-upstream_fixes-patch-size;</token>:</term>
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 49c3fb7c66922662cc2f654ca18f47c134de4eed)
+++ chapter08/kernel.xml	(revision 058a97501d57aa0f64be09d22956f5268de390cd)
@@ -45,8 +45,4 @@
     in the kernel source tree for alternative methods to the way this book
     configures the kernel.</para>
-
-    <para>Fix a bug in the memory model code that can cause boot failures:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&linux-mm_locking-patch;</userinput></screen>
 
     <para>Prepare for compilation by running the following command:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 49c3fb7c66922662cc2f654ca18f47c134de4eed)
+++ general.ent	(revision 058a97501d57aa0f64be09d22956f5268de390cd)
@@ -1,4 +1,4 @@
-<!ENTITY version "SVN-20100817">
-<!ENTITY releasedate "August 17, 2010">
+<!ENTITY version "6.7-rc1">
+<!ENTITY releasedate "August 31, 2010">
 <!ENTITY copyrightdate "1999-2010"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone "6.7">
Index: packages.ent
===================================================================
--- packages.ent	(revision 49c3fb7c66922662cc2f654ca18f47c134de4eed)
+++ packages.ent	(revision 058a97501d57aa0f64be09d22956f5268de390cd)
@@ -308,17 +308,17 @@
 <!ENTITY linux-major-version "2.6">
 <!ENTITY linux-minor-version "35">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "4">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-size "67,636 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "0da1c090199663c180d8a60bf49de36e">
+<!ENTITY linux-md5 "0bb2cd59c13d7412f813c8fbc0769eec">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!ENTITY linux-ch8-du "450 - 500 MB">
 <!ENTITY linux-ch8-sbu "1.5 - 5.0 SBU">
 
-<!ENTITY linux-headers-ch5-du "431 MB">
+<!ENTITY linux-headers-ch5-du "466 MB">
 <!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "431 MB">
+<!ENTITY linux-headers-ch6-du "466 MB">
 <!ENTITY linux-headers-ch6-sbu "0.1 SBU">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 49c3fb7c66922662cc2f654ca18f47c134de4eed)
+++ patches.ent	(revision 058a97501d57aa0f64be09d22956f5268de390cd)
@@ -72,7 +72,8 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
+<!--
 <!ENTITY linux-mm_locking-patch "linux-&linux-version;-mm_locking-1.patch">
 <!ENTITY linux-mm_locking-patch-md5 "f139404228d3cc92bcf41d5f146e1a1b">
-<!ENTITY linux-mm_locking-patch-size "1.4 KB">
+<!ENTITY linux-mm_locking-patch-size "1.4 KB">-->
 
 <!ENTITY man-db-upstream_fixes-patch "man-db-&man-db-version;-fix_man_assertion-1.patch">