Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision af294985456854c32d60551ea21d28d4fc8c09ea)
+++ chapter01/changelog.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
@@ -36,4 +36,22 @@
     </listitem>
 -->
+    <listitem>
+      <para>2016-04-16</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to dejagnu-1.6. Fixes
+          <ulink url="&lfs-ticket-root;3918">#3918</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.5.1. Fixes
+          <ulink url="&lfs-ticket-root;3917">#3917</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Wording change in Chapter 6 GCC. Fixes
+          <ulink url="&lfs-ticket-root;3915">#3915</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2016-04-12</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision af294985456854c32d60551ea21d28d4fc8c09ea)
+++ chapter01/whatsnew.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
@@ -56,7 +56,7 @@
       <para>Coreutils &coreutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>DejaGNU &dejagnu-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Diffutils &diffutils-version;</para>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision af294985456854c32d60551ea21d28d4fc8c09ea)
+++ chapter06/gcc.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
@@ -41,9 +41,5 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-<!--
-    <para>First apply some fixes from the upstream repository:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&gcc-upstream-patch;</userinput></screen>
--->
+
     <para>The GCC documentation recommends building GCC in a dedicated build directory:</para>
 
@@ -124,7 +120,7 @@
 <screen><userinput remap="install">make install</userinput></screen>
 
-    <para>Some packages expect the C preprocessor to be installed in the
-    <filename class="directory">/lib</filename> directory.
-    To support those packages, create this symlink:</para>
+    <para>Create a symlink required by the <ulink
+    url="http://refspecs.linuxfoundation.org/FHS_3.0/fhs/ch03s09.html">FHS</ulink>
+    for "historical" reasons.</para>
 
 <screen><userinput remap="install">ln -sv ../usr/bin/cpp /lib</userinput></screen>
Index: general.ent
===================================================================
--- general.ent	(revision af294985456854c32d60551ea21d28d4fc8c09ea)
+++ general.ent	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20160412">
+<!ENTITY version         "SVN-20160416">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "April 12, 2016">
+<!ENTITY releasedate     "April 16, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.10">
Index: packages.ent
===================================================================
--- packages.ent	(revision af294985456854c32d60551ea21d28d4fc8c09ea)
+++ packages.ent	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
@@ -107,8 +107,8 @@
 <!ENTITY coreutils-ch6-sbu "2.6 SBU">
 
-<!ENTITY dejagnu-version "1.5.3">
-<!ENTITY dejagnu-size "584 KB">
+<!ENTITY dejagnu-version "1.6">
+<!ENTITY dejagnu-size "512 KB">
 <!ENTITY dejagnu-url "&gnu;dejagnu/dejagnu-&dejagnu-version;.tar.gz">
-<!ENTITY dejagnu-md5 "5bda2cdb1af51a80aecce58d6e42bd2f">
+<!ENTITY dejagnu-md5 "1fdc2eb0d592c4f89d82d24dfdf02f0b">
 <!ENTITY dejagnu-home "&gnu-software;dejagnu/">
 <!ENTITY dejagnu-ch5-du "4.2 MB">
@@ -384,10 +384,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "5">
-<!ENTITY linux-patch-version "0">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
-<!ENTITY linux-size "85,304 KB">
+<!ENTITY linux-patch-version "1">
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
+<!ENTITY linux-size "86,317 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "a60d48eee08ec0536d5efb17ca819aef">
+<!ENTITY linux-md5 "488fac47d1c73e8a21ac71f7f3121009">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is