Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ chapter01/changelog.xml	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -37,4 +37,14 @@
 -->
     <listitem>
+      <para>2014-03-24</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gcc-4.9. Fixes
+          <ulink url="&lfs-ticket-root;3553">#3553</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-03-23</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ chapter01/whatsnew.xml	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -77,7 +77,7 @@
       <para>Gawk &gawk-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GDBM &gdbm-version;</para>
Index: chapter05/binutils-pass2.xml
===================================================================
--- chapter05/binutils-pass2.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ chapter05/binutils-pass2.xml	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -57,4 +57,5 @@
     --prefix=/tools            \
     --disable-nls              \
+    --disable-werror           \
     --with-lib-path=/tools/lib \
     --with-sysroot</userinput></screen>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ chapter05/gcc-pass1.xml	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -134,4 +134,6 @@
     --disable-libsanitizer                           \
     --disable-libssp                                 \
+    --disable-libvtv                                 \
+    --disable-libcilkrts                             \
     --disable-libstdc++-v3                           \
     --enable-languages=c,c++                         \
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ chapter06/binutils.xml	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -73,5 +73,7 @@
     <para>Prepare Binutils for compilation:</para>
 
-<screen><userinput remap="configure">../binutils-&binutils-version;/configure --prefix=/usr --enable-shared</userinput></screen>
+<screen><userinput remap="configure">../binutils-&binutils-version;/configure --prefix=/usr  \
+                          --enable-shared \
+                          --disable-werror</userinput></screen>
 
     <para>Compile the package:</para>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ chapter06/systemd.xml	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -54,5 +54,6 @@
 HAVE_BLKID=1
 BLKID_LIBS="-lblkid"
-BLKID_CFLAGS="-I/tools/include/blkid"</literal>
+BLKID_CFLAGS="-I/tools/include/blkid"
+cc_cv_CFLAGS__flto=no</literal>
 EOF</userinput></screen>
 
Index: general.ent
===================================================================
--- general.ent	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ general.ent	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -1,4 +1,4 @@
-<!ENTITY version         "SVN-20140423">
-<!ENTITY releasedate     "April 23, 2014">
+<!ENTITY version         "SVN-20140424">
+<!ENTITY releasedate     "April 24, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
+++ packages.ent	(revision 61d3147955661bfc23b5226310b110dc2d346482)
@@ -207,8 +207,8 @@
 <!ENTITY gawk-ch6-sbu "0.2 SBU">
 
-<!ENTITY gcc-version "4.8.2">
-<!ENTITY gcc-size "83,984 KB">
+<!ENTITY gcc-version "4.9.0">
+<!ENTITY gcc-size "87,576 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "a3d7d63b9cb6b6ea049469a0c4a43c9d">
+<!ENTITY gcc-md5 "9709b49ae0e904cbb0a6a1b62853b556">
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "1.4 GB">