Index: entities/autoconf.ent
===================================================================
--- entities/autoconf.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/autoconf.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,4 +16,4 @@
 <!ENTITY autoconf-package "autoconf-&autoconf-version;.tar.bz2">
 
-<!ENTITY autoconf-compsize "4 MB">
+<!ENTITY autoconf-compsize "6 MB">
 <!ENTITY autoconf-time "1 minute">
Index: entities/automake.ent
===================================================================
--- entities/automake.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/automake.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -12,8 +12,8 @@
 <!ENTITY automake-depversion "1.5">
 <!ENTITY automake-contversion "1.5">
-<!ENTITY automake-size "486 KB">
+<!ENTITY automake-size "457 KB">
 <!ENTITY automake-package "automake-&automake-version;.tar.bz2">
 <!ENTITY automake-dir "automake-&automake-version;">
 
-<!ENTITY automake-compsize "3 MB">
+<!ENTITY automake-compsize "6 MB">
 <!ENTITY automake-time "1 minute">
Index: entities/bash.ent
===================================================================
--- entities/bash.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/bash.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,7 +20,7 @@
 <!ENTITY bash-size "1,400 KB">
 
-<!ENTITY bash-compsize-static "20 MB">
+<!ENTITY bash-compsize-static "15 MB">
 <!ENTITY bash-time-static "3 minutes">
 
-<!ENTITY bash-compsize "19 MB">
+<!ENTITY bash-compsize "14 MB">
 <!ENTITY bash-time "3 minutes">
Index: entities/bin86.ent
===================================================================
--- entities/bin86.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/bin86.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,4 +16,4 @@
 <!ENTITY bin86-package "bin86-&bin86-version;.tar.bz2">
 
-<!ENTITY bin86-compsize "1 MB">
+<!ENTITY bin86-compsize "2 MB">
 <!ENTITY bin86-time "1 minute">
Index: entities/binutils.ent
===================================================================
--- entities/binutils.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/binutils.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,11 +17,11 @@
 <!ENTITY binutils-depversion "2.11.2">
 <!ENTITY binutils-contversion "2.11.2">
-<!ENTITY binutils-size "9,312 KB">
+<!ENTITY binutils-size "9,320 KB">
 <!ENTITY binutils-package "binutils-&binutils-version;.tar.bz2">
 <!ENTITY binutils-dir "binutils-&binutils-version;">
 
-<!ENTITY binutils-compsize-static "96 MB">
+<!ENTITY binutils-compsize-static "143 MB">
 <!ENTITY binutils-time-static "6 minutes">
 
-<!ENTITY binutils-compsize "85 MB">
+<!ENTITY binutils-compsize "94 MB">
 <!ENTITY binutils-time "6 minutes">
Index: entities/bison.ent
===================================================================
--- entities/bison.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/bison.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,4 +16,4 @@
 <!ENTITY bison-package "bison-&bison-version;.tar.bz2">
 
-<!ENTITY bison-compsize "3 MB">
+<!ENTITY bison-compsize "6 MB">
 <!ENTITY bison-time "1 minute">
Index: entities/bootscripts.ent
===================================================================
--- entities/bootscripts.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/bootscripts.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -12,8 +12,8 @@
 <!ENTITY bootscripts-depversion "1.9">
 <!ENTITY bootscripts-contversion "1.9">
-<!ENTITY bootscripts-size "26 KB">
+<!ENTITY bootscripts-size "27 KB">
 <!ENTITY bootscripts-dir "lfs-bootscritps-&bootscripts-version;">
 <!ENTITY bootscripts-package "lfs-bootscripts-&bootscripts-version;.tar.bz2">
 
-<!ENTITY bootscripts-compsize "23 KB">
+<!ENTITY bootscripts-compsize "420 KB">
 <!ENTITY bootscripts-time "1 minute">
Index: entities/bzip2.ent
===================================================================
--- entities/bzip2.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/bzip2.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -21,7 +21,7 @@
 <!ENTITY bzip2-size "610 KB">
 
-<!ENTITY bzip2-compsize-static "3 MB">
+<!ENTITY bzip2-compsize-static "9 MB">
 <!ENTITY bzip2-time-static "1 minute">
 
-<!ENTITY bzip2-compsize "2 MB">
+<!ENTITY bzip2-compsize "3 MB">
 <!ENTITY bzip2-time "1 minute">
Index: entities/diffutils.ent
===================================================================
--- entities/diffutils.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/diffutils.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -18,9 +18,9 @@
 <!ENTITY diffutils-package "diffutils-&diffutils-version;.tar.bz2">
 <!ENTITY diffutils-dir "diffutils-&diffutils-version;">
-<!ENTITY diffutils-size "641 KB">
+<!ENTITY diffutils-size "642 KB">
 
-<!ENTITY diffutils-compsize-static "4 MB">
+<!ENTITY diffutils-compsize-static "12 MB">
 <!ENTITY diffutils-time-static "1 minute">
 
-<!ENTITY diffutils-compsize "2 MB">
+<!ENTITY diffutils-compsize "6 MB">
 <!ENTITY diffutils-time "1 minute">
Index: entities/e2fsprogs.ent
===================================================================
--- entities/e2fsprogs.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/e2fsprogs.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY e2fsprogs-package "e2fsprogs-&e2fsprogs-version;.tar.bz2">
 
-<!ENTITY e2fsprogs-compsize "21 MB">
+<!ENTITY e2fsprogs-compsize "13 MB">
 <!ENTITY e2fsprogs-time "2 minutes">
Index: entities/ed.ent
===================================================================
--- entities/ed.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/ed.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,4 +19,4 @@
 <!ENTITY ed-package "ed-&ed-version;.tar.bz2">
 
-<!ENTITY ed-compsize "2 MB">
+<!ENTITY ed-compsize "3 MB">
 <!ENTITY ed-time "1 minute">
Index: entities/file.ent
===================================================================
--- entities/file.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/file.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,4 +16,4 @@
 <!ENTITY file-package "file-&file-version;.tar.bz2">
 
-<!ENTITY file-compsize "2 MB">
+<!ENTITY file-compsize "3 MB">
 <!ENTITY file-time "1 minute">
Index: entities/fileutils.ent
===================================================================
--- entities/fileutils.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/fileutils.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -22,7 +22,7 @@
 <!ENTITY fileutils-dir "fileutils-&fileutils-version;">
 
-<!ENTITY fileutils-compsize-static "25 MB">
+<!ENTITY fileutils-compsize-static "49 MB">
 <!ENTITY fileutils-time-static "3 minutes">
 
-<!ENTITY fileutils-compsize "16 MB">
+<!ENTITY fileutils-compsize "17 MB">
 <!ENTITY fileutils-time "3 minutes">
Index: entities/findutils.ent
===================================================================
--- entities/findutils.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/findutils.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -23,4 +23,7 @@
 <!ENTITY findutils-package "findutils-&findutils-version;.tar.bz2">
 
+<!ENTITY findutils-compsize-static "12 MB">
+<!ENTITY findutils-time-static "1 minute">
+
 <!ENTITY findutils-compsize "3 MB">
 <!ENTITY findutils-time "1 minute">
Index: entities/gawk.ent
===================================================================
--- entities/gawk.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/gawk.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -22,7 +22,7 @@
 <!ENTITY gawk-package "gawk&gawk-version;.tar.bz2">
 
-<!ENTITY gawk-compsize-static "12 MB">
+<!ENTITY gawk-compsize-static "25 MB">
 <!ENTITY gawk-time-static "2 minutes">
 
-<!ENTITY gawk-compsize "10 MB">
+<!ENTITY gawk-compsize "15 MB">
 <!ENTITY gawk-time "2 minutes">
Index: entities/gettext.ent
===================================================================
--- entities/gettext.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/gettext.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY gettext-package "gettext-&gettext-version;.tar.bz2">
 
-<!ENTITY gettext-compsize "11 MB">
+<!ENTITY gettext-compsize "26 MB">
 <!ENTITY gettext-time "1 minute">
Index: entities/grep.ent
===================================================================
--- entities/grep.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/grep.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,7 +20,7 @@
 <!ENTITY grep-dir "grep-&grep-version;">
 
-<!ENTITY grep-compsize-static "4 MB">
+<!ENTITY grep-compsize-static "7 MB">
 <!ENTITY grep-time-static "1 minute">
 
-<!ENTITY grep-compsize "3 MB">
+<!ENTITY grep-compsize "5 MB">
 <!ENTITY grep-time "1 minute">
Index: entities/groff.ent
===================================================================
--- entities/groff.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/groff.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY groff-package "groff-&groff-version;.tar.bz2">
 
-<!ENTITY groff-compsize "16 MB">
+<!ENTITY groff-compsize "18 MB">
 <!ENTITY groff-time "2 minutes">
Index: entities/gzip.ent
===================================================================
--- entities/gzip.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/gzip.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -15,11 +15,11 @@
 <!ENTITY gzip-depversion "1.2.4a">
 <!ENTITY gzip-contversion "1.2.4a">
-<!ENTITY gzip-size "178 KB">
+<!ENTITY gzip-size "179 KB">
 <!ENTITY gzip-package "gzip-&gzip-version;.tar.bz2">
 <!ENTITY gzip-dir "gzip-&gzip-version;">
 
-<!ENTITY gzip-compsize-static "2 MB">
+<!ENTITY gzip-compsize-static "6 MB">
 <!ENTITY gzip-time-static "1 minute">
 
-<!ENTITY gzip-compsize "1 MB">
+<!ENTITY gzip-compsize "2 MB">
 <!ENTITY gzip-time "1 minute">
Index: entities/kernel.ent
===================================================================
--- entities/kernel.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/kernel.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,5 +20,5 @@
 <!ENTITY kernel-dir "linux">
 
-<!ENTITY kernel-compsize-static "132 MB">
+<!ENTITY kernel-compsize-static "171 MB">
 <!ENTITY kernel-time-static "1 minute">
 
Index: entities/libtool.ent
===================================================================
--- entities/libtool.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/libtool.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,4 +16,4 @@
 <!ENTITY libtool-package "libtool-&libtool-version;.tar.bz2">
 
-<!ENTITY libtool-compsize "5 MB">
+<!ENTITY libtool-compsize "7 MB">
 <!ENTITY libtool-time "1 minute">
Index: entities/make.ent
===================================================================
--- entities/make.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/make.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,5 +20,5 @@
 <!ENTITY make-dir "make-&make-version;">
 
-<!ENTITY make-compsize-static "6 MB">
+<!ENTITY make-compsize-static "7 MB">
 <!ENTITY make-time-static "1 minute">
 
Index: entities/makedev.ent
===================================================================
--- entities/makedev.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/makedev.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -13,7 +13,7 @@
 <!ENTITY makedev-depversion "1.5">
 <!ENTITY makedev-contversion "1.5">
-<!ENTITY makedev-size "7 KB">
+<!ENTITY makedev-size "8 KB">
 <!ENTITY makedev-package "MAKEDEV-&makedev-version;.tar.bz2">
 
-<!ENTITY makedev-compsize "57 KB">
+<!ENTITY makedev-compsize "75 KB">
 <!ENTITY makedev-time "1 minute">
Index: entities/man.ent
===================================================================
--- entities/man.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/man.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY man-package "man-&man-version;.tar.bz2">
 
-<!ENTITY man-compsize "1 MB">
+<!ENTITY man-compsize "2 MB">
 <!ENTITY man-time "1 minute">
Index: entities/manpages.ent
===================================================================
--- entities/manpages.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/manpages.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,4 +16,4 @@
 <!ENTITY man-pages-package "man-pages-&man-pages-version;.tar.bz2">
 
-<!ENTITY man-pages-compsize "5 MB">
+<!ENTITY man-pages-compsize "9 MB">
 <!ENTITY man-pages-time "1 minute">
Index: entities/ncurses.ent
===================================================================
--- entities/ncurses.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/ncurses.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,4 +20,4 @@
 <!ENTITY ncurses-package "ncurses-&ncurses-version;.tar.bz2">
 
-<!ENTITY ncurses-compsize "29 MB">
+<!ENTITY ncurses-compsize "22 MB">
 <!ENTITY ncurses-time "6 minutes">
Index: entities/patch.ent
===================================================================
--- entities/patch.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/patch.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,5 +20,5 @@
 <!ENTITY patch-dir "patch-&patch-version;">
 
-<!ENTITY patch-compsize-static "2 MB">
+<!ENTITY patch-compsize-static "3 MB">
 <!ENTITY patch-time-static "1 minute">
 
Index: entities/perl.ent
===================================================================
--- entities/perl.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/perl.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,4 +19,4 @@
 <!ENTITY perl-package "perl-&perl-version;.tar.bz2">
 
-<!ENTITY perl-compsize "35 MB">
+<!ENTITY perl-compsize "52 MB">
 <!ENTITY perl-time "6 minutes">
Index: entities/procinfo.ent
===================================================================
--- entities/procinfo.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/procinfo.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY procinfo-package "procinfo-&procinfo-version;.tar.bz2">
 
-<!ENTITY procinfo-compsize "170 KB">
+<!ENTITY procinfo-compsize "168 KB">
 <!ENTITY procinfo-time "1 minute">
Index: entities/psmisc.ent
===================================================================
--- entities/psmisc.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/psmisc.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY psmisc-package "psmisc-&psmisc-version;.tar.bz2">
 
-<!ENTITY psmisc-compsize "500 KB">
+<!ENTITY psmisc-compsize "2 MB">
 <!ENTITY psmisc-time "1 minute">
Index: entities/reiserfs.ent
===================================================================
--- entities/reiserfs.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/reiserfs.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY reiserfs-package "reiserfs-&reiserfs-version;.tar.bz2">
 
-<!ENTITY reiserfs-compsize "7 MB">
+<!ENTITY reiserfs-compsize "6 MB">
 <!ENTITY reiserfs-time "1 minute">
Index: entities/sed.ent
===================================================================
--- entities/sed.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/sed.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,5 +19,5 @@
 <!ENTITY sed-dir "sed-&sed-version;">
 
-<!ENTITY sed-compsize-static "2 MB">
+<!ENTITY sed-compsize-static "3 MB">
 <!ENTITY sed-time-static "1 minute">
 
Index: entities/shadow.ent
===================================================================
--- entities/shadow.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/shadow.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,4 +19,4 @@
 <!ENTITY shadow-package "shadow-&shadow-version;.tar.bz2">
 
-<!ENTITY shadow-compsize "6 MB">
+<!ENTITY shadow-compsize "7 MB">
 <!ENTITY shadow-time "3 minutes">
Index: entities/shellutils.ent
===================================================================
--- entities/shellutils.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/shellutils.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,7 +19,7 @@
 <!ENTITY sh-utils-dir "sh-utils-&sh-utils-version;">
 
-<!ENTITY sh-utils-compsize-static "23 MB">
+<!ENTITY sh-utils-compsize-static "58 MB">
 <!ENTITY sh-utils-time-static "2 minutes">
 
-<!ENTITY sh-utils-compsize "11 MB">
+<!ENTITY sh-utils-compsize "12 MB">
 <!ENTITY sh-utils-time "2 minutes">
Index: entities/sysklogd.ent
===================================================================
--- entities/sysklogd.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/sysklogd.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,4 +19,4 @@
 <!ENTITY sysklogd-package "sysklogd-&sysklogd-version;.tar.bz2">
 
-<!ENTITY sysklogd-compsize "710 KB">
+<!ENTITY sysklogd-compsize "472 KB">
 <!ENTITY sysklogd-time "1 minute">
Index: entities/sysvinit.ent
===================================================================
--- entities/sysvinit.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/sysvinit.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -17,4 +17,4 @@
 <!ENTITY sysvinit-package "sysvinit-&sysvinit-version;.tar.bz2">
 
-<!ENTITY sysvinit-compsize "630 KB">
+<!ENTITY sysvinit-compsize "1 MB">
 <!ENTITY sysvinit-time "1 minute">
Index: entities/tar.ent
===================================================================
--- entities/tar.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/tar.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,7 +20,7 @@
 <!ENTITY tar-dir "tar-&tar-version;">
 
-<!ENTITY tar-compsize-static "7 MB">
+<!ENTITY tar-compsize-static "9 MB">
 <!ENTITY tar-time-static "1 minute">
 
-<!ENTITY tar-compsize "7 MB">
+<!ENTITY tar-compsize "6 MB">
 <!ENTITY tar-time "1 minute">
Index: entities/texinfo.ent
===================================================================
--- entities/texinfo.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/texinfo.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -20,7 +20,7 @@
 <!ENTITY texinfo-package "texinfo-&texinfo-version;.tar.bz2">
 
-<!ENTITY texinfo-compsize-static "11 MB">
+<!ENTITY texinfo-compsize-static "18 MB">
 <!ENTITY texinfo-time-static "1 minute">
 
-<!ENTITY texinfo-compsize "10 MB">
+<!ENTITY texinfo-compsize "12 MB">
 <!ENTITY texinfo-time "1 minute">
Index: entities/textutils.ent
===================================================================
--- entities/textutils.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/textutils.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -19,7 +19,7 @@
 <!ENTITY textutils-dir "textutils-&textutils-version;">
 
-<!ENTITY textutils-compsize-static "24 MB">
+<!ENTITY textutils-compsize-static "54 MB">
 <!ENTITY textutils-time-static "2 minutes">
 
-<!ENTITY textutils-compsize "15 MB">
+<!ENTITY textutils-compsize "17 MB">
 <!ENTITY textutils-time "1 minute">
Index: entities/utillinux.ent
===================================================================
--- entities/utillinux.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/utillinux.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -16,8 +16,11 @@
 <!ENTITY util-linux-depversion "2.11n">
 <!ENTITY util-linux-contversion "2.11n">
-<!ENTITY util-linux-size "1,035 KB">
+<!ENTITY util-linux-size "1,041 KB">
 <!ENTITY util-linux-dir "util-linux-&util-linux-version;">
 <!ENTITY util-linux-package "util-linux-&util-linux-version;.tar.bz2">
 
-<!ENTITY util-linux-compsize "9 MB">
+<!ENTITY util-linux-compsize-static "12 MB">
+<!ENTITY util-linux-time-static "1 minute">
+
+<!ENTITY util-linux-compsize "10 MB">
 <!ENTITY util-linux-time "1 minute">
Index: entities/vim.ent
===================================================================
--- entities/vim.ent	(revision 9898c41635f5bdbda6dbe47245c63a6518cbb0c6)
+++ entities/vim.ent	(revision 67cdf567bf71a180ca73b87ae22f524a733ea2eb)
@@ -15,9 +15,9 @@
 <!ENTITY vim-depversion "6.0">
 <!ENTITY vim-contversion "6.0">
-<!ENTITY vim-size "2,890 KB">
-<!ENTITY vim-patch-size "4 KB">
+<!ENTITY vim-size "2,823 KB">
+<!ENTITY vim-patch-size "1 KB">
 <!ENTITY vim-dir "vim&vim-version;">
 <!ENTITY vim-package "vim-&vim-version;.tar.bz2">
 
-<!ENTITY vim-compsize "15 MB">
+<!ENTITY vim-compsize "24 MB">
 <!ENTITY vim-time "2 minutes">