Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ appendices/dependencies.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -763,6 +763,6 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
-         Patch, Sed and, Texinfo</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, GMP, Grep, Make,
+         MPFR, Patch, Readline, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -1749,5 +1749,5 @@
 
         <seglistitem>
-          <seg>GCC</seg>
+          <seg>Gawk, GCC</seg>
         </seglistitem>
       </segmentedlist>
@@ -2035,5 +2035,5 @@
 
         <seglistitem>
-          <seg>Bash</seg>
+          <seg>Bash, Gawk</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter01/changelog.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -36,4 +36,71 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>2016-03-30</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Added DJ Lucas to the list of authors.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Updated dependencies for Gawk. Merged from trunk r11036.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Updated to linux-4.4.4. Merged from trunk r11034.</para>
+        </listitem>
+        <listitem> 
+          <para>[renodr] - Updated to mpfr-3.1.4. Merged from trunk r11034.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Updated to pkg-config-0.29.1. Merged from trunk r11034.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Updated to tcl-core-8.6.5. Merged from trunk r11034.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Removed pcprofiledump and libpcprofile.so from the
+          installed files list on the Glibc page. Merged from trunk r11034.
+          </para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Added the creation of /var/log/faillog. Merged from
+          trunk r11034.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Removed the --disable-profile and
+          --enable-obsolete-rpc options from Glibc. Merged from trunk r11034
+          </para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Cleaned up patches file.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Cleaned up whatsnew file.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Cleaned up changelog of former changes.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Merged various spelling changes from r11030,
+          r11031, </para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Disable static libraries in texinfo and
+          document installation of XSParagraph.so. Merged from trunk r11032.
+          </para>
+        </listitem>
+      </itemizedlist>
+   </listitem>
+
+    <listitem>
+      <para>2016-03-29</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - LFS 7.9-systemd released.</para>
+        </listitem>
+      </itemizedlist>
+   </listitem>
+
+<!-- LFS-7.9-systemd>
     <listitem>
       <para>2016-03-04</para>
@@ -56,4 +123,7 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - LFS-7.9-systemd-rc2 released.</para>
+        </listitem>
+        <listitem>
           <para>[dj] - Update to glibc-2.23 - Merged from trunk.</para>
         </listitem>
@@ -96,5 +166,5 @@
         </listitem>
         <listitem>
-          <para>[Chris] - Removed obsolete --dbus* switches from systemd
+          <para>[Chris] - Removed obsolete - -dbus* switches from systemd
           installation - current systemd sets reasonable defaults for D-Bus
           files.</para>
@@ -237,5 +307,5 @@
         </listitem>
         <listitem>
-          <para>[dj] - Add --with-systemd to procps-ng configuration.</para>
+          <para>[dj] - Add - -with-systemd to procps-ng configuration.</para>
         </listitem>
         <listitem>
@@ -747,5 +817,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Use --with-glibc-version=2.11 in gcc-pass1.</para>
+          <para>[bdubbs] - Use - -with-glibc-version=2.11 in gcc-pass1.</para>
         </listitem>
         <listitem>
@@ -860,4 +930,5 @@
       </itemizedlist>
     </listitem>
+-->
 
   </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter01/whatsnew.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -41,7 +41,7 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Binutils &binutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Bison &bison-version;</para>
@@ -53,10 +53,10 @@
       <para>Check &check-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Coreutils &coreutils-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>D-Bus-&dbus-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>DejaGNU &dejagnu-version;</para>
@@ -65,7 +65,7 @@
       <para>Diffutils &diffutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Expat-&expat-version;</para>
@@ -74,37 +74,37 @@
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>File &file-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Findutils &findutils-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Flex &flex-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>GDBM &gdbm-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Gettext &gettext-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Grep &grep-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Groff &groff-version;</para>
@@ -125,19 +125,19 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Kmod &kmod-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Less &less-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Libpipeline &libpipeline-version;</para>
@@ -146,7 +146,7 @@
       <para>Libtool &libtool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Linux &linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>M4 &m4-version;</para>
@@ -155,10 +155,10 @@
       <para>Make &make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC &mpc-version;</para>
@@ -173,10 +173,10 @@
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Perl &perl-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Pkg-config &pkgconfig-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Procps-ng &procps-ng-version;</para>
@@ -194,7 +194,7 @@
       <para>Shadow &shadow-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Systemd &systemd-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Tar &tar-version;</para>
@@ -203,13 +203,13 @@
       <para>Tcl-core-&tcl-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Texinfo &texinfo-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Vim &vim-version;</para>
@@ -218,7 +218,7 @@
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>XZ-Utils &xz-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Zlib &zlib-version;</para>
@@ -238,5 +238,5 @@
     <title>Added:</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
-
+<!--
     <listitem>
       <para>&bash-fixes-patch;</para>
@@ -245,5 +245,5 @@
     <listitem>
       <para>&binutils-upstream-patch;</para>
-    </listitem>
+    </listitem>-->
 <!--
     <listitem>
@@ -251,7 +251,4 @@
     </listitem>
 -->
-    <listitem>
-      <para>&mpfr-upstream-patch;</para>
-    </listitem>
 
   </itemizedlist>
@@ -266,5 +263,5 @@
 
     <listitem>
-      <para>glibc-2.22-upstream_i386_fix-1.patch</para>
+      <para>mpfr-3.1.3-upstream_fixes-2.patch</para>
     </listitem>
 
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter03/patches.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -58,12 +58,4 @@
     </varlistentry>
 
-<!--    <varlistentry>
-      <term>Gcc Upstream Patch - <token>&gcc-upstream-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&gcc-upstream-patch;"/></para>
-        <para>MD5 sum: <literal>&gcc-upstream-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry> -->
-
     <varlistentry>
       <term>Glibc FHS Patch - <token>&glibc-fhs-patch-size;</token>:</term>
@@ -73,13 +65,5 @@
       </listitem>
     </varlistentry>
-<!--
-    <varlistentry>
-      <term>Glibc i386 Patch - <token>&glibc-upstream-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&glibc-upstream-patch;"/></para>
-        <para>MD5 sum: <literal>&glibc-upstream-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
--->
+
     <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
@@ -87,12 +71,4 @@
         <para>Download: <ulink url="&patches-root;&kbd-backspace-patch;"/></para>
         <para>MD5 sum: <literal>&kbd-backspace-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>MPFR Upstream Fixes Patch - <token>&mpfr-upstream-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&mpfr-upstream-patch;"/></para>
-        <para>MD5 sum: <literal>&mpfr-upstream-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter05/glibc.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -60,7 +60,5 @@
       --host=$LFS_TGT                    \
       --build=$(../scripts/config.guess) \
-      --disable-profile                  \
       --enable-kernel=&min-kernel;             \
-      --enable-obsolete-rpc              \
       --with-headers=/tools/include      \
       libc_cv_forced_unwind=yes          \
@@ -80,6 +78,7 @@
       </varlistentry>
 
-      <varlistentry>
-        <term><parameter>--disable-profile</parameter></term>
+<!--
+      <varlistentry>
+        <term><parameter>- -disable-profile</parameter></term>
         <listitem>
           <para>This builds the libraries without profiling information. Omit
@@ -87,4 +86,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry>
@@ -97,6 +97,7 @@
       </varlistentry>
 
-      <varlistentry>
-        <term><parameter>--enable-obsolete-rpc</parameter></term>
+<!--
+      <varlistentry>
+        <term><parameter>- -enable-obsolete-rpc</parameter></term>
         <listitem>
           <para>This installs NIS and RPC related headers that are not
@@ -105,4 +106,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry>
Index: chapter05/ncurses.xml
===================================================================
--- chapter05/ncurses.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter05/ncurses.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -44,5 +44,5 @@
     <title>Installation of Ncurses</title>
 
-    <para>First, ensure that gawk is found first during configuration:</para>
+    <para>First, ensure that <command>gawk</command> is found first during configuration:</para>
 
 <screen><userinput remap="pre">sed -i s/mawk// configure</userinput></screen>
Index: chapter06/autoconf.xml
===================================================================
--- chapter06/autoconf.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter06/autoconf.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -54,5 +54,5 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
-    <para>This takes a long time, about &autoconf-ch6-sbu; SBUs. In addition, 
+    <para>This takes a long time, about &autoconf-ch6-sbu-tests; SBUs. In addition, 
     several steps are skipped that use Automake. For full test coverage,
     Autoconf can be re-tested after Automake has been installed. In addition,
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter06/createfiles.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -238,5 +238,5 @@
   proper permissions:</para>
 
-<screen><userinput>touch /var/log/{btmp,lastlog,wtmp}
+<screen><userinput>touch /var/log/{btmp,lastlog,faillog,wtmp}
 chgrp -v utmp /var/log/lastlog
 chmod -v 664  /var/log/lastlog
@@ -245,6 +245,7 @@
   <para>The <filename>/var/log/wtmp</filename> file records all logins and
   logouts. The <filename>/var/log/lastlog</filename> file records when each
-  user last logged in. The <filename>/var/log/btmp</filename> file records the
-  bad login attempts.</para>
+  user last logged in. The <filename>/var/log/faillog</filename> file records 
+  failed login attempts. The <filename>/var/log/btmp</filename> file records 
+  the bad login attempts.</para>
 
   <note><para>The <filename>/run/utmp</filename> file records the users that
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter06/glibc.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -89,5 +89,4 @@
 
 <screen><userinput remap="configure">../configure --prefix=/usr          \
-             --disable-profile      \
              --enable-kernel=&min-kernel; \
              --enable-obsolete-rpc</userinput></screen>
@@ -403,5 +402,5 @@
       <seglistitem>
         <seg>catchsegv, gencat, getconf, getent, iconv, iconvconfig, ldconfig,
-        ldd, lddlibc4, locale, localedef, makedb, mtrace, nscd, pcprofiledump,
+        ldd, lddlibc4, locale, localedef, makedb, mtrace, nscd,
         pldd, rpcgen, sln, sotruss, sprof, tzselect, xtrace,
         zdump, and zic</seg>
@@ -411,5 +410,5 @@
         libmcheck.a, libmemusage.so, libnsl.{a,so}, libnss_compat.so,
         libnss_dns.so, libnss_files.so, libnss_hesiod.so, libnss_nis.so,
-        libnss_nisplus.so, libpcprofile.so, libpthread.{a,so},
+        libnss_nisplus.so, libpthread.{a,so},
         libpthread_nonshared.a, libresolv.{a,so}, librpcsvc.a, librt.{a,so},
         libthread_db.so, and libutil.{a,so}</seg>
@@ -577,4 +576,5 @@
       </varlistentry>
 
+<!--
       <varlistentry id="pcprofiledump">
         <term><command>pcprofiledump</command></term>
@@ -586,4 +586,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="pldd">
@@ -852,4 +853,5 @@
       </varlistentry>
 
+<!--
       <varlistentry id="libpcprofile">
         <term><filename class="libraryfile">libpcprofile</filename></term>
@@ -862,4 +864,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="libpthread">
Index: chapter06/mpfr.xml
===================================================================
--- chapter06/mpfr.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter06/mpfr.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -42,9 +42,11 @@
     <title>Installation of MPFR</title>
 
+<!--
     <para>First, apply the following patch to fix various bugs that have been
     addressed upstream:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&mpfr-upstream-patch;</userinput></screen>
-
+-->
+    
     <para>Prepare MPFR for compilation:</para>
 
Index: chapter06/revisedchroot.xml
===================================================================
--- chapter06/revisedchroot.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter06/revisedchroot.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -42,5 +42,5 @@
   linkend="ch-system-kernfsmount"/>.</para>
 
-  <para>Finally, there were several static libraries that were not supressed earlier
+  <para>Finally, there were several static libraries that were not suppressed earlier
   in the chapter in order to satisfy the regression tests in several packages. These 
   libraries are from binutils, bzip2, e2fsprogs, flex, libtool, and zlib.  If desired,
Index: chapter06/texinfo.xml
===================================================================
--- chapter06/texinfo.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ chapter06/texinfo.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -44,5 +44,5 @@
     <para>Prepare Texinfo for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --disable-static</userinput></screen>
 
     <para>Compile the package:</para>
@@ -99,4 +99,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed library</segtitle>
       <segtitle>Installed directory</segtitle>
 
@@ -104,5 +105,6 @@
         <seg>info, install-info, makeinfo (link to texi2any),
         pdftexi2dvi, pod2texi, texi2any, texi2dvi, texi2pdf, and texindex</seg>
-        <seg>/usr/share/texinfo</seg>
+        <seg>XSParagraph.so</seg>
+        <seg>/usr/share/texinfo and /usr/lib/texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: general.ent
===================================================================
--- general.ent	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ general.ent	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -1,8 +1,8 @@
-<!ENTITY version         "20160304-systemd">
+<!ENTITY version         "20160330-systemd">
 <!ENTITY short-version   "systemd">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "March 04, 2016">
+<!ENTITY releasedate     "March 30th, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "7.9">
-<!ENTITY generic-version "systemd"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
+<!ENTITY milestone       "7.10">
+<!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
Index: packages.ent
===================================================================
--- packages.ent	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ packages.ent	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -29,5 +29,6 @@
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
 <!ENTITY autoconf-ch6-du "18 MB">
-<!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about 3.5 SBU with tests)">
+<!ENTITY autoconf-ch6-sbu-tests "3.6">
+<!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about &autoconf-ch6-sbu-tests; SBU with tests)">
 
 <!ENTITY automake-version "1.15">
@@ -376,10 +377,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "4">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "85,249 KB">
+<!ENTITY linux-size "85,262 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "d1b8be99e6c12cbc52b2af0520d550bb">
+<!ENTITY linux-md5 "73d1835cfb6dd348d87c8c2413190c21">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -438,8 +439,8 @@
 <!ENTITY mpc-ch6-sbu "0.4 SBU">
 
-<!ENTITY mpfr-version "3.1.3">
-<!ENTITY mpfr-size "1,087 KB">
+<!ENTITY mpfr-version "3.1.4">
+<!ENTITY mpfr-size "1,096 KB">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
-<!ENTITY mpfr-md5 "6969398cd2fbc56a6af570b5273c56a9">
+<!ENTITY mpfr-md5 "064b2c18185038e404a401b830d59be8">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 <!ENTITY mpfr-ch6-du "47 MB">
@@ -476,8 +477,8 @@
 <!ENTITY perl-ch6-sbu "6.2 SBU">
 
-<!ENTITY pkgconfig-version "0.29">
-<!ENTITY pkgconfig-size "1,928 KB">
+<!ENTITY pkgconfig-version "0.29.1">
+<!ENTITY pkgconfig-size "1,967 KB">
 <!ENTITY pkgconfig-url "http://pkgconfig.freedesktop.org/releases/pkg-config-&pkgconfig-version;.tar.gz">
-<!ENTITY pkgconfig-md5 "77f27dce7ef88d0634d0d6f90e03a77f">
+<!ENTITY pkgconfig-md5 "f739a28cae4e0ca291f82d1d41ef107d">
 <!ENTITY pkgconfig-home "http://www.freedesktop.org/wiki/Software/pkg-config">
 <!ENTITY pkgconfig-ch6-du "31 MB">
@@ -544,9 +545,9 @@
 <!ENTITY tar-ch6-sbu "1.9 SBU">
 
-<!ENTITY tcl-version "8.6.4">
+<!ENTITY tcl-version "8.6.5">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "5,677 KB">
+<!ENTITY tcl-size "5,710 KB">
 <!ENTITY tcl-url "http://sourceforge.net/projects/tcl/files/Tcl/&tcl-version;/tcl-core&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "8b8c9d85469d8dbe32e51117b8ef11e3">
+<!ENTITY tcl-md5 "611d34844a2e9158b721e3e3daa6f127">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
 <!ENTITY tcl-ch5-du "41 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ patches.ent	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -31,8 +31,4 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
-<!ENTITY mpfr-upstream-patch "mpfr-&mpfr-version;-upstream_fixes-2.patch">
-<!ENTITY mpfr-upstream-patch-md5 "ef2f0b72f7e2dcc7775303bd3b850bca">
-<!ENTITY mpfr-upstream-patch-size "128 KB">
-
 <!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fixes-3.patch">
 <!ENTITY readline-fixes-patch-md5 "6b0d9f4e79319d56a7fee9b35e5cfd1b">
Index: prologue/bookinfo.xml
===================================================================
--- prologue/bookinfo.xml	(revision c4dcfd8bb659776d4c91345481f22396186b817e)
+++ prologue/bookinfo.xml	(revision 68c0a3004abd82baa898d657eb78d1fa54416593)
@@ -18,4 +18,5 @@
     <author>
       <firstname>Edited by Douglas R. Reno</firstname>
+      <surname>and DJ Lucas.</surname>
     </author>
   </authorgroup>