Index: chapter10/kernel/systemd.xml
===================================================================
--- chapter10/kernel/systemd.xml	(revision 70bf5512d96389ea1c068cd20a48093a10d6a963)
+++ chapter10/kernel/systemd.xml	(revision 70bf5512d96389ea1c068cd20a48093a10d6a963)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
+<!-- Automatically generated by kernel-config.py
+     DO NOT EDIT! -->
+<screen role="nodump" revision="systemd"><emphasis role='blue'>G</emphasis>eneral setup ---&gt;
+  [ ] <emphasis role='blue'>C</emphasis>ompile the kernel with warnings as errors                        [WERROR]
+  [ ] <emphasis role='blue'>A</emphasis>uditing support                                                   [AUDIT]
+  <emphasis role='blue'>C</emphasis>PU/Task time and stats accounting ---&gt;
+    [*] <emphasis role='blue'>P</emphasis>ressure stall information tracking                                [PSI]
+    [ ]   <emphasis role='blue'>R</emphasis>equire boot parameter to enable pressure stall information tracking
+                                                     ...  [PSI_DEFAULT_DISABLED]
+  &lt; &gt; <emphasis role='blue'>E</emphasis>nable kernel headers through /sys/kernel/kheaders.tar.xz      [IKHEADERS]
+  [*] <emphasis role='blue'>C</emphasis>ontrol Group support ---&gt;                                       [CGROUPS]
+    [*] M<emphasis role='blue'>e</emphasis>mory controller                                                [MEMCG]
+  [ ] <emphasis role='blue'>C</emphasis>onfigure standard kernel features (expert users) ---&gt;            [EXPERT]
+<emphasis role='blue'>P</emphasis>rocessor type and features ---&gt;
+  [*] <emphasis role='blue'>B</emphasis>uild a relocatable kernel                                   [RELOCATABLE]
+  [*]   <emphasis role='blue'>R</emphasis>andomize the address of the kernel image (KASLR)       [RANDOMIZE_BASE]
+<emphasis role='blue'>G</emphasis>eneral architecture-dependent options ---&gt;
+  [*] <emphasis role='blue'>S</emphasis>tack Protector buffer overflow detection                 [STACKPROTECTOR]
+  [*]   <emphasis role='blue'>S</emphasis>trong Stack Protector                           [STACKPROTECTOR_STRONG]
+[*] N<emphasis role='blue'>e</emphasis>tworking support ---&gt;                                                [NET]
+  N<emphasis role='blue'>e</emphasis>tworking options ---&gt;
+    [*] <emphasis role='blue'>T</emphasis>CP/IP networking                                                 [INET]
+    &lt;*&gt;   <emphasis role='blue'>T</emphasis>he IPv6 protocol ---&gt;                                          [IPV6]
+<emphasis role='blue'>D</emphasis>evice Drivers ---&gt;
+  <emphasis role='blue'>G</emphasis>eneric Driver Options ---&gt;
+    [ ] <emphasis role='blue'>S</emphasis>upport for uevent helper                                [UEVENT_HELPER]
+    [*] M<emphasis role='blue'>a</emphasis>intain a devtmpfs filesystem to mount at /dev               [DEVTMPFS]
+    [*]   <emphasis role='blue'>A</emphasis>utomount devtmpfs at /dev, after the kernel mounted the rootfs
+                                                           ...  [DEVTMPFS_MOUNT]
+    <emphasis role='blue'>F</emphasis>irmware loader ---&gt;
+      &lt; /*&gt; <emphasis role='blue'>F</emphasis>irmware loading facility                                [FW_LOADER]
+      [*]     <emphasis role='blue'>E</emphasis>nable the firmware sysfs fallback mechanism
+                                                    ...  [FW_LOADER_USER_HELPER]
+  <emphasis role='blue'>F</emphasis>irmware Drivers ---&gt;
+    [*] <emphasis role='blue'>E</emphasis>xport DMI identification via sysfs to userspace                 [DMIID]
+  <emphasis role='blue'>G</emphasis>raphics support ---&gt;
+    <emphasis role='blue'>F</emphasis>rame buffer Devices ---&gt;
+      &lt;*&gt; <emphasis role='blue'>S</emphasis>upport for frame buffer devices ---&gt;                             [FB]
+    <emphasis role='blue'>C</emphasis>onsole display driver support ---&gt;
+      [*] <emphasis role='blue'>F</emphasis>ramebuffer Console support                      [FRAMEBUFFER_CONSOLE]
+<emphasis role='blue'>F</emphasis>ile systems ---&gt;
+  [*] <emphasis role='blue'>I</emphasis>notify support for userspace                               [INOTIFY_USER]
+  <emphasis role='blue'>P</emphasis>seudo filesystems ---&gt;
+    [*] <emphasis role='blue'>T</emphasis>mpfs virtual memory file system support (former shm fs)         [TMPFS]
+    [*]   <emphasis role='blue'>T</emphasis>mpfs POSIX Access Control Lists                     [TMPFS_POSIX_ACL]</screen>